VDK(1)

NAME
vdk-config - The VDK (2) C++ Library config script

SYNOPSIS
vdk-config-2 [-v --version] [-h --help] [-l --libs] [--libs-only-L] [--libs-only-l] [-c --cflags] [-d --define]

DESCRIPTION

vdk-config-2 is a tool that is used to configure to determine the compiler and linker flags that should be used to compile and link programs that use VDK(2). It is also used internally to the .m4 macros for GNU autoconf that are included with VDK(2).

OPTIONS
vdk-config accepts the following options:

-v --version
    Print the currently installed version of VDK on the standard output.

-h --help
    Print a short help on the standard output.

-l --libs
    Print the linker flags that are necessary to link a VDK program.

--libs-only-L
    Print only the -L/-R part of the --libs.

--libs-only-l
    Print only the -l part of the --libs.

-c --cflags
    Print the compiler flags that are necessary to compile a VDK(2) program.

-d --define
    Add to the compiler flags a -D_VDK_.

SEE ALSO
gtk-config-2.0(1),

COPYRIGHT
Copyright © 2000 VDK Team Copyright © 1998 Owen Taylor Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.